// pages/member/memberCenter/memberCenter.js
let app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    progress: 0,
    gap: 0,
    vip: 0,
    nextExp: 0,
    memberrate: [],
  },
  getMemberRate: function () {
    app.$apiJavaNew("api/member/getmemberrate", { state: 1, name: '' }).then(res => {
      let data = res, 
        vip = this.data.vip,
        nextExp = 600;
      res.map((x, index)=>{
        if (index <= vip) {
          x.progress = x.tradeMoneyReq > 0 ? ((nextExp / x.tradeMoneyReq) * 100).toFixed(2) : 0
        } else {
          x.progress = 0
        }
      })
      this.setData({
        memberrate: data
      })
      console.log(res)
    }).catch(err => { })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) { 
    this.setData({
      progress: Number(options.progress),
      gap: options.gap,
      vip: Number(options.vip),
      nextExp: options.nextExp
    })
    this.getMemberRate()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})